Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.support
[Java] Class WatchPatternParser

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.WatchPatternParser

    public class WatchPatternParser
    extends java.lang.Object

Parses a Grails plugin's watchedResources property value into a list of

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `WILD_CARD`

Method Summary
`java.util.List` | `getWatchPatterns(java.util.List patterns)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### WILD_CARD

    public static final java.lang.String WILD_CARD

Method Detail

### getWatchPatterns

    public java.util.List getWatchPatterns(java.util.List patterns)

Groovy Documentation